BEGIN{
	for(i=0; i < 256; i++)
	{
		ord[sprintf("%c", i)] = i
		map[i] = i
	}	
}

NF==0{next}

/MAPPING/{
	is_mapping=1
	next
}

/MERGE/{
	for(i=0; i < 256; i++)
		if(map[i] != -1)
			print i, 0, "bottom", "left", sprintf("%04x", map[i])
	is_merge=1
	next
}

is_mapping{
	map[$1] = strtonum($2)

	if($3 != "")
		defs[$3] = $1+0
}


is_merge{
	
	if($2 in defs)
		acc=defs[$2]
	else if($2~/^0x/)
		acc = strtonum($2)
	else
		acc=ord[$2]

	out=strtonum($3)

	if($4 == "")
		if($1~/[A-Z]/)
			valign="capital"
		else
			valign="bottom"
	else
		valign=$4

	if($5 == "")
		halign="centre"
	else
		halign=$5

	print ord[$1], acc, valign, halign, sprintf("%04x", out)

}
